libetonyek::IWORKXMLParserState Class Reference documentation

libetonyek::IWORKXMLParserState Class Reference

`#include <IWORKXMLParserState.h>`

Inheritance diagram for libetonyek::IWORKXMLParserState:

## Public Member Functions
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const
IWORKStylePtr_t | getStyleByName (const char *const name, const IWORKStyleMap_t &mainMap, bool mustExist=true) const

## Public Attributes
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKFormatNameMap | m_formatNameMap
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText

## Private Member Functions
| IWORKXMLParserState (const IWORKXMLParserState &)
IWORKXMLParserState & | operator= (const IWORKXMLParserState &)

## Private Attributes
IWORKParser & | m_parser
IWORKCollector & | m_collector
IWORKDictionary & | m_dict

## Constructor & Destructor Documentation

## ◆ IWORKXMLParserState() [1/2]

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | const IWORKXMLParserState & |  | ) |
| private

Referenced by IWORKXMLParserState(), libetonyek::KEY1ParserState::KEY1ParserState(), libetonyek::KEY2ParserState::KEY2ParserState(), libetonyek::NUM1ParserState::NUM1ParserState(), operator=(), and libetonyek::PAG1ParserState::PAG1ParserState().

## ◆ IWORKXMLParserState() [2/2]

libetonyek::IWORKXMLParserState::IWORKXMLParserState | ( | IWORKParser & | parser,
|  | IWORKCollector & | collector,
|  | IWORKDictionary & | dict )

## Member Function Documentation

## ◆ getCollector()

IWORKCollector & libetonyek::IWORKXMLParserState::getCollector | ( |  | ) | const

Referenced by operator=().

## ◆ getDictionary()

IWORKDictionary & libetonyek::IWORKXMLParserState::getDictionary | ( |  | ) |

Referenced by libetonyek::IWORKDiscardContext::element(), libetonyek::IWORKBezierElement::endOfElement(), libetonyek::IWORKBinaryElement::endOfElement(), libetonyek::IWORKCellCommentDrawableInfoElement::endOfElement(), libetonyek::IWORKCoreImageFilterDescriptorElement::endOfElement(), libetonyek::IWORKDataElement::endOfElement(), libetonyek::IWORKDateTimeFormatElement::endOfElement(), libetonyek::IWORKDurationFormatElement::endOfElement(), libetonyek::IWORKExternalTextWrapElement::endOfElement(), libetonyek::IWORKFillElement::endOfElement(), libetonyek::IWORKFilteredImageElement::endOfElement(), libetonyek::IWORKFoElement::endOfElement(), libetonyek::IWORKFormulaElement::endOfElement(), libetonyek::IWORKImageElement::endOfElement(), libetonyek::IWORKListLabelGeometriesProperty::endOfElement(), libetonyek::IWORKListLabelGeometryElement::endOfElement(), libetonyek::IWORKListLabelIndentsProperty::endOfElement(), libetonyek::IWORKListLabelTypeinfoElement::endOfElement(), libetonyek::IWORKListLabelTypesProperty::endOfElement(), libetonyek::IWORKListTextIndentsProperty::endOfElement(), libetonyek::IWORKMediaElement::endOfElement(), libetonyek::IWORKNumberFormatElement::endOfElement(), libetonyek::IWORKOfElement::endOfElement(), libetonyek::IWORKStrokeContext::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKTableCellFormulaElement::endOfElement(), libetonyek::IWORKTabsElement::endOfElement(), libetonyek::IWORKTabularInfoElement::endOfElement(), libetonyek::IWORKTabularModelElement::endOfElement(), libetonyek::IWORKTextLabelElement::endOfElement(), libetonyek::IWORKUnfilteredElement::endOfElement(), operator=(), and libetonyek::IWORKTextStorageElement::sendStylesheet().

## ◆ getParser()

IWORKParser & libetonyek::IWORKXMLParserState::getParser | ( |  | ) |

Referenced by operator=().

## ◆ getStyleByName()

IWORKStylePtr_t libetonyek::IWORKXMLParserState::getStyleByName | ( | const char *const | name,
|  | const IWORKStyleMap_t & | mainMap,
|  | bool | mustExist = true ) const

Referenced by libetonyek::IWORKLayoutElement::attribute(), libetonyek::IWORKPElement::attribute(), libetonyek::IWORKSpanElement::attribute(), libetonyek::IWORKTabularModelElement::endOfElement(), libetonyek::IWORKTextElement::endOfElement(), and operator=().

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::IWORKXMLParserState::getTokenizer | ( |  | ) | const

Referenced by libetonyek::IWORKCoreImageFilterDescriptorElement::attribute(), operator=(), and libetonyek::KEY1DivStyle::readAttribute().

## ◆ operator=()

IWORKXMLParserState & libetonyek::IWORKXMLParserState::operator= | ( | const IWORKXMLParserState & |  | ) |
| private

## Member Data Documentation

## ◆ m_collector

IWORKCollector& libetonyek::IWORKXMLParserState::m_collector
| private

Referenced by getCollector(), and IWORKXMLParserState().

## ◆ m_currentTable

std::shared_ptr<IWORKTable> libetonyek::IWORKXMLParserState::m_currentTable

Referenced by libetonyek::IWORKTableInfoElement::endOfElement(), libetonyek::IWORKTabularInfoElement::endOfElement(), libetonyek::IWORKTabularModelElement::endOfElement(), IWORKXMLParserState(), libetonyek::IWORKTableInfoElement::startOfElement(), libetonyek::IWORKTabularInfoElement::startOfElement(), and libetonyek::IWORKTabularModelElement::startOfElement().

## ◆ m_currentText

std::shared_ptr<IWORKText> libetonyek::IWORKXMLParserState::m_currentText

Referenced by libetonyek::IWORKLinkElement::attribute(), libetonyek::KEY1ParserState::closeBullet(), libetonyek::KEY2ParserState::closeHeadline(), libetonyek::PAG1TextStorageElement::element(), libetonyek::IWORKBrContext::endOfElement(), libetonyek::IWORKCellCommentDrawableInfoElement::endOfElement(), libetonyek::IWORKFieldElement::endOfElement(), libetonyek::IWORKHeaderFooterContext::endOfElement(), libetonyek::IWORKLayoutElement::endOfElement(), libetonyek::IWORKLinkElement::endOfElement(), libetonyek::IWORKPElement::endOfElement(), libetonyek::IWORKShapeContext::endOfElement(), libetonyek::IWORKSpanElement::endOfElement(), libetonyek::IWORKTabElement::endOfElement(), libetonyek::IWORKTextBodyElement::endOfElement(), libetonyek::IWORKTextElement::endOfElement(), libetonyek::PAG1TextStorageElement::endOfElement(), libetonyek::IWORKPElement::ensureOpened(), libetonyek::IWORKSpanElement::ensureOpened(), IWORKXMLParserState(), libetonyek::IWORKLayoutElement::open(), libetonyek::KEY1ParserState::openBullet(), libetonyek::KEY2ParserState::openHeadline(), libetonyek::IWORKCellCommentDrawableInfoElement::startOfElement(), libetonyek::IWORKHeaderFooterContext::startOfElement(), libetonyek::IWORKShapeContext::startOfElement(), libetonyek::KEY1ParserState::storeCurrentPlaceholder(), libetonyek::IWORKFieldElement::text(), libetonyek::IWORKLinkElement::text(), libetonyek::IWORKPElement::text(), and libetonyek::IWORKSpanElement::text().

## ◆ m_dict

IWORKDictionary& libetonyek::IWORKXMLParserState::m_dict
| private

Referenced by getDictionary(), and IWORKXMLParserState().

## ◆ m_enableCollector

bool libetonyek::IWORKXMLParserState::m_enableCollector

Referenced by libetonyek::KEY1ParserState::closeBullet(), libetonyek::IWORKDiscardContext::endOfElement(), IWORKXMLParserState(), libetonyek::KEY1ParserState::openBullet(), libetonyek::IWORKDiscardContext::startOfElement(), and libetonyek::KEY1ParserState::storeCurrentPlaceholder().

## ◆ m_formatNameMap

IWORKFormatNameMap libetonyek::IWORKXMLParserState::m_formatNameMap

Referenced by IWORKXMLParserState().

## ◆ m_langManager

IWORKLanguageManager libetonyek::IWORKXMLParserState::m_langManager

Referenced by IWORKXMLParserState(), libetonyek::KEY1ParserState::openBullet(), and libetonyek::KEY2ParserState::openHeadline().

## ◆ m_parser

IWORKParser& libetonyek::IWORKXMLParserState::m_parser
| private

Referenced by getParser(), getTokenizer(), and IWORKXMLParserState().

## ◆ m_stylesheet

IWORKStylesheetPtr_t libetonyek::IWORKXMLParserState::m_stylesheet

Referenced by libetonyek::IWORKStyleContext::endOfElement(), libetonyek::IWORKStyleRefContext::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKTextStorageElement::endOfElement(), getStyleByName(), IWORKXMLParserState(), libetonyek::IWORKTextStorageElement::sendStylesheet(), and libetonyek::IWORKStylesheetBase::startOfElement().

## ◆ m_tableData

IWORKTableDataPtr_t libetonyek::IWORKXMLParserState::m_tableData

Referenced by libetonyek::IWORKFoElement::endOfElement(), libetonyek::IWORKFormulaElement::endOfElement(), libetonyek::IWORKOfElement::endOfElement(), libetonyek::IWORKTableCellFormulaElement::endOfElement(), libetonyek::IWORKTabularModelElement::endOfElement(), IWORKXMLParserState(), libetonyek::IWORKTabularInfoElement::startOfElement(), and libetonyek::IWORKTabularModelElement::startOfElement().

## ◆ m_tableNameMap

IWORKTableNameMapPtr_t libetonyek::IWORKXMLParserState::m_tableNameMap

Referenced by libetonyek::IWORKTabularModelElement::endOfElement(), and IWORKXMLParserState().

The documentation for this class was generated from the following files:

- IWORKXMLParserState.h
- IWORKXMLParserState.cpp